Metadata revisions for insert-ordered-containers-0.2.1.0

Package maintainers and Hackage trustees are allowed to edit certain bits of package metadata after a release, without uploading a new tarball. Note that the tarball itself is never changed, just the metadata that is stored separately. For more information about metadata revisions, please refer to the Hackage Metadata Revisions FAQ.

No. Time User Changes
-r9 Mon Sep 24 18:05:25 UTC 2018 phadej
  • Changed tested-with from

    ghc ==7.6.3: ghc ==7.8.4: ghc ==7.10.3: ghc ==8.0.1: ghc ==8.2.2: ghc ==8.4.3
    to
    ghc ==7.6.3: ghc ==7.8.4: ghc ==7.10.3: ghc ==8.0.1: ghc ==8.2.2: ghc ==8.4.3: ghc ==8.6.1

  • Changed the library component's library dependency on 'base' from

    >=4.6 && <4.12
    to
    >=4.6 && <4.13

  • Changed the test suite 'ins-ord-containers-tests' component's library dependency on 'QuickCheck' from

    >=2.7.6 && <2.12
    to
    >=2.7.6 && <2.13

-r8 Thu Jul 5 13:49:35 UTC 2018 phadej
  • Changed the library component's library dependency on 'lens' from

    >=4.7 && <4.17
    to
    >=4.7 && <4.18

  • Changed the library component's library dependency on 'semigroupoids' from

    >=4.3 && <5.3
    to
    >=4.3 && <5.4

-r7 Tue Jun 12 09:51:13 UTC 2018 phadej
  • Changed tested-with from

    ghc ==7.6.3: ghc ==7.8.4: ghc ==7.10.3: ghc ==8.0.1: ghc ==8.2.2: ghc ==8.4.1
    to
    ghc ==7.6.3: ghc ==7.8.4: ghc ==7.10.3: ghc ==8.0.1: ghc ==8.2.2: ghc ==8.4.3

  • Changed the library component's library dependency on 'aeson' from

    >=1.0.0.0 && <1.4
    to
    >=1.0.0.0 && <1.5

  • Changed the test suite 'ins-ord-containers-tests' component's library dependency on 'tasty' from

    >=0.10.1.2 && <1.1
    to
    >=0.10.1.2 && <1.2

-r6 Sun Apr 8 17:33:48 UTC 2018 phadej
  • Changed the library component's library dependency on 'base-compat' from

    >=0.6.0 && <0.10
    to
    >=0.6.0 && <0.11

-r5 Fri Mar 9 06:37:53 UTC 2018 phadej
  • Changed the library component's library dependency on 'aeson' from

    >=1.0.0.0 && <1.3
    to
    >=1.0.0.0 && <1.4

  • Changed the library component's library dependency on 'base' from

    >=4.6 && <4.11
    to
    >=4.6 && <4.12

  • Changed the test suite 'ins-ord-containers-tests' component's library dependency on 'tasty-quickcheck' from

    >=0.8.3.2 && <0.10
    to
    >=0.8.3.2 && <0.11

-r4 Sun Jan 28 18:47:55 UTC 2018 phadej
  • Changed tested-with from

    ghc ==7.6.3: ghc ==7.8.4: ghc ==7.10.3: ghc ==8.0.1
    to
    ghc ==7.6.3: ghc ==7.8.4: ghc ==7.10.3: ghc ==8.0.1: ghc ==8.2.2: ghc ==8.4.1

  • Changed synopsis from

    Associative containers retating insertion order for traversals.
    to
    Associative containers retaining insertion order for traversals.

  • Changed description from

    Associative containers retating insertion order for traversals.
    to
    Associative containers retaining insertion order for traversals.
    
    The implementation is based on `unordered-containers`.

  • Changed the library component's library dependency on 'lens' from

    >=4.7 && <4.16
    to
    >=4.7 && <4.17

  • Changed the test suite 'ins-ord-containers-tests' component's library dependency on 'QuickCheck' from

    >=2.7.6 && <2.11
    to
    >=2.7.6 && <2.12

  • Changed the test suite 'ins-ord-containers-tests' component's library dependency on 'tasty' from

    >=0.10.1.2 && <0.12
    to
    >=0.10.1.2 && <1.1

-r3 Tue Jun 27 12:22:37 UTC 2017 phadej
  • Changed the library component's library dependency on 'base' from

    >=4.6 && <4.10
    to
    >=4.6 && <4.11

  • Changed the test suite 'ins-ord-containers-tests' component's library dependency on 'QuickCheck' from

    >=2.7.6 && <2.10
    to
    >=2.7.6 && <2.11

  • Changed the test suite 'ins-ord-containers-tests' component's library dependency on 'tasty-quickcheck' from

    >=0.8.3.2 && <0.9
    to
    >=0.8.3.2 && <0.10

-r2 Sun Apr 23 18:35:03 UTC 2017 phadej
  • Changed the library component's library dependency on 'semigroupoids' from

    >=4.3 && <5.2
    to
    >=4.3 && <5.3

-r1 Sun Apr 16 21:09:01 UTC 2017 phadej
  • Changed the library component's library dependency on 'aeson' from

    >=1.0.0.0 && <1.2
    to
    >=1.0.0.0 && <1.3

-r0 Sat Apr 15 09:39:52 UTC 2017 phadej